algorithmic modeling for Rhino
Hi everyone
Is there any method using grasshopper to make TextEntity dispaly in the viewport of the Rhino?
My method is show below(using C# Code):
TextEntity text = new TextEntity();
text.Text = y.ToString();
text.Plane = Plane.WorldXY;
TextDot dot = new TextDot(text.Text, text.Plane.Origin);
dot.FontHeight = 100;
dot.FontFace = "Times NewRoman";
Rhino.RhinoDoc doc = Rhino.RhinoDoc.ActiveDoc;
Rhino.DocObjects.Tables.ObjectTable table = doc.Objects;
table.AddText(text);
But there has an problerm about this, that is AddText is add the textEntity object directive into the RhinoDoc(Also know as bake the object into RhhinoDoc) , and you can not through the toggle preview button to toggle hidden the object through the Context menu of the Component.
Tags:
HI,you can go http://www.food4rhino.com/project/panda ,it maybe helps!
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by